Subject: RE: [Sip] B2BUA

From: [email-masked]
Date: Tue, 3 Dec 2002 16:35:48 +0200

Hi,

I agree with Mary that concatenation is the right word for it. But the source of confusion is probably this:
 
UA = UAC + UAS

B2BUA = UA | UA

=> B2BUA = (UAC + UAS) | (UAC + UAS) 

So the B2BUA is a concatenation of two User Agents, each of which acts both as UAC and UAS. A conference server will probably look like a UA, definitely not a B2BUA, IMHO.
   
Cheers,
Aki

-----Original Message-----
From: ext Mary Barnes [mailto:[email-masked]]
Sent: Monday, December 02, 2002 7:47 PM
To: [email-masked]'
Cc: [email-masked]
Subject: RE: [Sip] B2BUA

Juan-Carlos, 
So, I guess you're suggesting that the term "concatenation" is not accurate or is misleading and I guess that depends upon how loosely one applies the term concatenation here; my assumption had been that it meant that they were "linked" (consistent with Webster's definition of concatenate) in some manner which is unprescribed, so I think your point 2 below isn't a problem with the current definition.  My understanding of the current definition is that there isn't anything more for the SIP protocol to prescribe about the operation of a B2BUA other than what is required from a protocol perspective to function as a UAC and a UAS. From a protocol perspective, it is a logical entity and thus whether there's one or multiple doesn't seem to apply.  I think what you (and perhaps others) are suggesting is that there's a definition of a B2BUA that more closely parallels the definition of a Proxy Server since in many cases the physical rendition of the logical B2BUA functionality would!
 be replacing a Proxy Server in a network. And I think this is where the problem begins, as many are opposed to this model (as it increases the complexity, etc.) and this is why the logical definition has remained. 
On your first point, however, I think we need to wait until the conferencing work in SIPPING is more complete before we can suggest that a conference server would be a B2BUA. 
Mary. 
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip